Package jxl.format

# Class ScriptStyle

java.lang.Object
jxl.format.ScriptStyle

public final class ScriptStyle extends Object
Enumeration class which contains the various script styles available within the standard Excel ScriptStyle palette

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ScriptStyle`
`NORMAL_SCRIPT`
`static final ScriptStyle`
`SUBSCRIPT`
`static final ScriptStyle`
`SUPERSCRIPT`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Gets the string description for display purposes
`static ScriptStyle`
`getStyle(int val)`
Gets the ScriptStyle from the value
`int`
`getValue()`
Gets the value of this style.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NORMAL_SCRIPT

public static final ScriptStyle NORMAL_SCRIPT

### SUPERSCRIPT

public static final ScriptStyle SUPERSCRIPT

### SUBSCRIPT

public static final ScriptStyle SUBSCRIPT

## Method Details

### getValue

public int getValue()
Gets the value of this style. This is the value that is written to the generated Excel file

Returns:
  the binary value

### getDescription

public String getDescription()
Gets the string description for display purposes

Returns:
  the string description

### getStyle

public static ScriptStyle getStyle(int val)
Gets the ScriptStyle from the value

Parameters:
  `val` -
Returns:
  the ScriptStyle with that value